GinqAstBaseVisitor (Groovy 5.0.6)

Package: org.apache.groovy.ginq.dsl

## [Java] Class GinqAstBaseVisitor

- org.apache.groovy.ginq.dsl.GinqAstBaseVisitor

- All Implemented Interfaces and Traits:
    GinqAstVisitor

      public class GinqAstBaseVisitor
      extends CodeVisitorSupport
      implements GinqAstVisitor

  The default base visitor for GINQ AST

  Since:
    4.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Void` | `visit(AbstractGinqExpression expression)`
    `` | `public Void` | `visitFromExpression(FromExpression fromExpression)`
    `` | `public Void` | `visitGinqExpression(GinqExpression ginqExpression)`
    `` | `public Void` | `visitGroupExpression(GroupExpression groupExpression)`
    `` | `public Void` | `visitHavingExpression(HavingExpression havingExpression)`
    `` | `public Void` | `visitJoinExpression(JoinExpression joinExpression)`
    `` | `public Void` | `visitLimitExpression(LimitExpression limitExpression)`
    `` | `public Void` | `visitOnExpression(OnExpression onExpression)`
    `` | `public Void` | `visitOrderExpression(OrderExpression orderExpression)`
    `` | `public Void` | `visitSelectExpression(SelectExpression selectExpression)`
    `` | `public Void` | `visitShutdownExpression(ShutdownExpression shutdownExpression)`
    `` | `public Void` | `visitWhereExpression(WhereExpression whereExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Method Detail

    - #### @Override
      public Void visit(AbstractGinqExpression expression)

    - #### @Override
      public Void visitFromExpression(FromExpression fromExpression)

    - #### @Override
      public Void visitGinqExpression(GinqExpression ginqExpression)

    - #### @Override
      public Void visitGroupExpression(GroupExpression groupExpression)

    - #### @Override
      public Void visitHavingExpression(HavingExpression havingExpression)

    - #### @Override
      public Void visitJoinExpression(JoinExpression joinExpression)

    - #### @Override
      public Void visitLimitExpression(LimitExpression limitExpression)

    - #### @Override
      public Void visitOnExpression(OnExpression onExpression)

    - #### @Override
      public Void visitOrderExpression(OrderExpression orderExpression)

    - #### @Override
      public Void visitSelectExpression(SelectExpression selectExpression)

    - #### @Override
      public Void visitShutdownExpression(ShutdownExpression shutdownExpression)

    - #### @Override
      public Void visitWhereExpression(WhereExpression whereExpression)